package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.MonthAward;
import cn.wisenergy.model.dto.MonthAwardQuery;
import cn.wisenergy.model.vo.MonthAwardVo;
import com.github.pagehelper.PageInfo;

/**
 * @author 86187
 * @ Description:
 * @ Author     : 86187
 * @ Date       : 2021/3/9 15:25
 */
public interface MonthAwardService {
    /**
     * 获取月度奖金
     * @param userId 用户id
     * @return 月度奖金
     */
    R<MonthAwardVo> queryMonthAward(String userId);

    /**
     * 获取月度奖励列表
     * @param monthAwardQuery 查询参数
     * @return 月度奖励列表
     */
    R<PageInfo<MonthAward>> getList(MonthAwardQuery monthAwardQuery);
}
