package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 月度奖励列表查询条件Dto
 * @author 86187
 */
@Data
@ApiModel("MonthAwardQuery")
public class MonthAwardQuery {

    /**
     * 查询时间 格式(yyyy-MM)
     */
    @ApiModelProperty(value = "查询时间 格式(yyyy-MM)", name = "queryTime")
    private String queryTime;

    /**
     * 页码
     */
    @ApiModelProperty(value = "页码", name = "pageNo")
    private Integer pageNo;

    /**
     * 页条数
     */
    @ApiModelProperty(value = "页条数", name = "pageSize")
    private Integer pageSize;


    private Integer startNum;

    private Integer endNum;
}
