package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
*@ Description: 每月进步奖查询参数
*@ Author     : 86187
*@ Date       : 2021/3/25 10:50
 * @author 86187
 */
@Data
@ApiModel("ProgressPrizeQuery")
public class ProgressPrizeQuery {
    /**
     * 查询时间 格式(yyyy-MM)
     */
    @ApiModelProperty(value = "查询时间 格式(yyyy-MM)", name = "queryTime")
    private String queryTime;

    /**
     * 页码
     */
    @ApiModelProperty(value = "页码", name = "pageNo")
    private Integer pageNo;

    /**
     * 页条数
     */
    @ApiModelProperty(value = "页条数", name = "pageSize")
    private Integer pageSize;


    private Integer startNum;

    private Integer endNum;
}
